import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { h } from 'vue';
import { Tag } from 'ant-design-vue';
//列表显示
export const columns: BasicColumn[] = [
  {
    title: '工厂编码',
    dataIndex: 'FACTORY_CODE',
    width: 180,
  },
  {
    title: '产品编码',
    dataIndex: 'MAT_ID',
  },
  {
    title: '子阶物料编码',
    dataIndex: 'PART_NO',
  },
  {
    title: '替代料',
    dataIndex: 'SPART_NO',
  },
  {
    title: '用量',
    dataIndex: 'QTY',
  },
  {
    title: '生效日期',
    dataIndex: 'EFFDATE',
  },
  {
    title: '父阶物料',
    dataIndex: 'PARENT_NO',
  },
  {
    title: '是否启用',
    dataIndex: 'PART_STATUS',
    customRender: ({ record }) => {
      const status = record.PART_STATUS;
      const enable = status === 'Active';
      const color = enable ? 'green' : 'red';
      const text = enable ? '启用' : '禁用';
      return h(Tag, { color: color }, () => text);
    },
  },
  {
    title: '备注',
    dataIndex: 'REMARK',
  },
  {
    title: '更新时间',
    dataIndex: 'UPDATE_TIME',
  },
  {
    title: '更新人',
    dataIndex: 'UPDATE_USER',
  },
];
//模糊查询
export const searchFormSchema: FormSchema[] = [
  {
    field: 'MAT_ID',
    label: '产品编码',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'PART_NO',
    label: '子阶物料编码',
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'PARENT_NO',
    label: '父阶物料',
    component: 'Input',
    colProps: { span: 8 },
  },
];
//新增组件
export const formSchema: FormSchema[] = [
  {
    field: 'MAT_ID',
    label: '产品编码',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'ID',
    label: 'ID',
    component: 'Input',
    show: false,
  },
  {
    field: 'PART_NO',
    label: '子阶物料编码',
    component: 'Input',
    show: false,
    colProps: { span: 8 },
  },
  {
    field: 'FACTORY_CODE',
    label: '工厂编码',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'SPART_NO',
    label: '替代料',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'QTY',
    label: '用量',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'EFFDATE',
    label: '生效日期',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'PARENT_NO',
    label: '父阶物料',
    required: true,
    component: 'Input',
    colProps: { span: 8 },
  },
  {
    field: 'PART_STATUS',
    label: '是否启用',
    required: true,
    component: 'Select',
    colProps: { span: 8 },
    componentProps: {
      options: [
        {
          label: '是',
          value: 'Active',
          key: 'Active',
        },
        {
          label: '否',
          value: 'Inactive',
          key: 'Inactive',
        },
      ],
    },
  },
  {
    field: 'REMARK',
    label: '备注',
    // required: true,
    component: 'Input',
    colProps: { span: 24 },
  },
];
